Description

Supportanfrage

Guten Morgen,

Ich möchte den CAN Stream aus einem DAT-File per Kommandozeilenaufruf (batch-file) exportieren, z.B.:

ADTF2_DIR\bin\adtf_datexporter.exe -export CAN Beispiel_CAN.dat

Dabei erhalte ich als Fehlermeldung:

found no sink for CAN

Wenn ich aus ADTF den "DAT Exporter" starte und das gleiche DAT-File angebe, wird mir für den CAN-Stream als Sink "ADTF ASC

file sink" angeboten und der Export funktioniert aus einwandfrei.

Was muss ich tun, damit ich die sink auf für den adtf_datexporter verwenden kann?

Vielen Dank für eine Antwort und viele Grüße

Steffen Kalfhues

Mit freundlichen Grüßen / Best regards

Steffen Kalfhues

Lösung

damit der Aufruf über Kommandozeile (oder batch file) funktioniert benötigst Du auch die Services dafür.

Diese sind im ADTF schon geladen und verfügbar, weshalb es aus ADTF heraus auch funktioniert.

Du findest in der Hilfe des Dat Exporter auch direkt ein Beispiel für den Export eines CAN Stream als ASC File.

Dazu einfach die adtf_datexporter.exe ohne weitere Parameter aufrufen oder in ein File ausgeben lassen.

Unterhalb findest du ein Beispiel wie ein Stream (rawcan) aus einer DAT-File im *.asc Format extrahiert wird.

adtf_datexporter.exe 

-service C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\can_support.srv 

-service C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\external_file_support.srv 

-export rawcan 

-sinkid adtf.export.asc_file_sink 

-output C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\templates\export.asc C:\ADTF\2.14.0\addons\a

dtf-device-toolbox\bin\templates\example_test_file_can.dat

History

#1 - 2017-06-12 11:30 - hidden

- Project changed from Public Support to 5

- Topic set to ADTF::Datexporter
- Customer set to BOSCH

- Department set to CC-DA/EPV

- Affected Products ADTF 2.14.0 added

- Platform Windows 7 64bit added

@Matthias, bitte beantworten.

#2 - 2017-06-13 11:06 - hidden

Hallo Steffen,

damit der Aufruf über Kommandozeile (oder batch file) funktioniert benötigst Du auch die Services dafür.

Diese sind im ADTF schon geladen und verfügbar, weshalb es aus ADTF heraus auch funktioniert.

Du findest in der Hilfe des Dat Exporter auch direkt ein Beispiel für den Export eines CAN Stream als ASC File.

Dazu einfach die adtf_datexporter.exe ohne weitere Parameter aufrufen oder in ein File ausgeben lassen.

Unterhalb findest du ein Beispiel wie ein Stream (rawcan) aus einer DAT-File im *.asc Format extrahiert wird.

adtf_datexporter.exe 

-service C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\can_support.srv 

-service C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\external_file_support.srv 

-export rawcan 

-sinkid adtf.export.asc_file_sink 

-output C:\ADTF\2.14.0\addons\adtf-device-toolbox\bin\templates\export.asc C:\ADTF\2.14.0\addons\adtf-device-t

oolbox\bin\templates\example_test_file_can.dat

 Beantwortet das deine Frage?

Bitte in jeden Fall um ein kurzes Feedback.

#3 - 2017-06-13 11:07 - hidden

- Status changed from New to Customer Feedback Required

#4 - 2017-06-13 16:30 - hidden

Hallo,

ja, mit der syntax scheint es zu funktionieren.

Vielen Dank

Mit freundlichen Grüßen / Best regards

Steffen Kalfhues

#5 - 2017-06-14 10:35 - hidden

- Description updated

- Resolution set to Solved Issue

Wir werden das Support Ticket dann damit schließen.

Können wir das Ticket öffentlich machen?

#6 - 2017-06-14 11:00 - hidden

Ohne den Dateinamen, von mir aus gerne.

Mit freundlichen Grüßen / Best regards

Steffen Kalfhues

#7 - 2017-06-14 11:17 - hidden

- Subject changed from Frage bzgl. CAN Stream Export aus dat-File to CAN Stream Export from dat-File

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2017-06-14 11:17 - hidden

- Private changed from Yes to No
#9 - 2017-06-19 09:57 - hidden

- Description updated

- Status changed from To Be Closed to Closed

#10 - 2017-06-19 09:58 - hidden

- Project changed from 5 to Public Support
